#Module-Specific definitions
%define mod_version 5.0
%define release 0.1mdk
%define mod_name mod_auth_kerb
%define mod_conf 11_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_auth_kerb is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{mod_name}-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	Apache License
URL:		http://modauthkerb.sourceforge.net/
Requires:	krb5-libs
BuildPrereq:	krb5-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Mod_auth_kerb is an %{ap_name} module designed to provide Kerberos
user authentication to the Apache web server. Using the Basic
Auth mechanism, it retrieves a username/password pair from the
browser and checks them against a Kerberos server as set up by
your particular organization. It also supports mutual ticket
authentication, but most browsers do not support that natively.

I might look into writing a netscape plugin for it at some point.
Some browsers also require being told that they are to use Basic
Auth as opposed to seeing KerberosV* and handling that as basic
auth. The module accounts for this and 'tricks' the browser into
thinking it's normal basic auth. 

If you are using the Basic Auth mechanmism, the module does not
do any special encryption of any sort. The passing of the
username and password is done with the same Base64 encoding that
Basic Auth uses. This can easily be converted to plain text. To
counter this, I would suggest also using mod_ssl. 

%prep

%setup -q -n %{mod_name}-%{mod_version}

%build

echo "No documentation yet.. fixme" > README
%{apxs} -c mod_auth_kerb.c -DAPXS2 -DKRB5 -DKRB4 -lkrb4 -lkrb5 -lk5crypto -lcom_err 
    
%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%doc README

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_5.0-0.1mdk
- built for apache 2.0.48

* Tue Sep 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_5.0-0.2mdk
- fix S1

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_5.0-0.1mdk
- 5.0 rc1
- updated S1

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_4.13-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_4.13-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_4.13-1mdk
- cosmetic rebuild for apache v2.0.45 

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_4.13-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-5mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-4mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-3mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Mon Nov 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-2mdk
- fix summary (duh!)

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-1mdk
- new version
- drop the register patch, it's included upstream

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.11-3mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Tue Oct 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.11-2mdk
- extra modules needs to be loaded _before_ mod_ssl, mod_php and mod_perl
  in order to show up in the server string...

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.11-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)
- sanitize rpm package versioning

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_4.11-4mdk
- rebuilt against new apache v2.0.42

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_4.11-3mdk
- Comply with ADVX policy at http://advx.org/devel/policy.php
- Add P0 to register module

* Sun Sep  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.11-2mdk
- fix S1

* Sat Aug 31 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.11-1mdk
- initial cooker contrib
